cloud-debug.log reports errno=2 trying to execute 'bttrack'

Bug #613535 reported by C de-Avillez on 2010-08-04
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Eucalyptus
Status tracked in 3.1
3.1
Fix Released
Undecided
Unassigned
eucalyptus (Ubuntu)
Medium
Dave Walker
Maverick
Medium
Dave Walker

Bug Description

Looking at the cloud-debug.log I see this:

12:41:26 DEBUG [SystemUtil:New I/O server worker #1-10] Running command: bttrack
12:41:26 ERROR [SystemUtil:New I/O server worker #1-10] java.io.IOException: Cannot run program "bttrack": java.io.IOException: error=2, No such file or directory
java.io.IOException: Cannot run program "bttrack": java.io.IOException: error=2, No such file or directory
        at java.lang.ProcessBuilder.start(ProcessBuilder.java:475)
        at java.lang.Runtime.exec(Runtime.java:610)
        at java.lang.Runtime.exec(Runtime.java:483)
        at edu.ucsb.eucalyptus.util.SystemUtil.run(SystemUtil.java:83)
        at edu.ucsb.eucalyptus.cloud.ws.Tracker.findTracker(Tracker.java:112)
        at edu.ucsb.eucalyptus.cloud.ws.Tracker.exists(Tracker.java:104)
        at edu.ucsb.eucalyptus.cloud.ws.Tracker.initialize(Tracker.java:86)
        at edu.ucsb.eucalyptus.cloud.ws.WalrusControl.configure(WalrusControl.java:187)
        at edu.ucsb.eucalyptus.cloud.ws.WalrusEventListener.fireEvent(WalrusEventListener.java:94)
        at com.eucalyptus.event.ReentrantListenerRegistry.fireEvent(ReentrantListenerRegistry.java:87)
        at com.eucalyptus.event.ReentrantListenerRegistry.fireEvent(ReentrantListenerRegistry.java:68)
        at com.eucalyptus.event.ListenerRegistry.fireEvent(ListenerRegistry.java:76)
        at com.eucalyptus.component.AbstractServiceBuilder.fireStart(AbstractServiceBuilder.java:36)
        at com.eucalyptus.config.Configuration.registerComponent(Configuration.java:113)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:616)
        at org.mule.model.resolvers.AbstractEntryPointResolver.invokeMethod(AbstractEntryPointResolver.java:147)
        at org.mule.model.resolvers.ReflectionEntryPointResolver.invoke(ReflectionEntryPointResolver.java:178)
        at org.mule.model.resolvers.DefaultEntryPointResolverSet.invoke(DefaultEntryPointResolverSet.java:50)
        at org.mule.component.DefaultLifecycleAdapter.intercept(DefaultLifecycleAdapter.java:202)
        at org.mule.component.AbstractJavaComponent.invokeComponentInstance(AbstractJavaComponent.java:82)
        at org.mule.component.AbstractJavaComponent.doOnCall(AbstractJavaComponent.java:73)
        at org.mule.component.AbstractComponent.onCall(AbstractComponent.java:87)
        at org.mule.model.seda.SedaService.doSend(SedaService.java:234)
        at org.mule.service.AbstractService.sendEvent(AbstractService.java:510)
        at org.mule.DefaultMuleSession.sendEvent(DefaultMuleSession.java:351)

I know of no programme called 'bttrack'. There are 'bttrack.bittornado' and bttrack.bittorrent' in Maverick, but that's it.

eucalyptus-cc 2.0~bzr1218-0ubuntu1 eucalyptus install ok installed
eucalyptus-cloud 2.0~bzr1218-0ubuntu1 eucalyptus install ok installed
eucalyptus-common 2.0~bzr1218-0ubuntu1 eucalyptus install ok installed
eucalyptus-gl 2.0~bzr1218-0ubuntu1 eucalyptus install ok installed
eucalyptus-java-common 2.0~bzr1218-0ubuntu1 eucalyptus install ok installed
eucalyptus-sc 2.0~bzr1218-0ubuntu1 eucalyptus install ok installed
eucalyptus-walrus 2.0~bzr1218-0ubuntu1 eucalyptus install ok installed

C de-Avillez (hggdh2) wrote :

nah, bittorrent and/or bittornado. /usr/sbin/bttrack is a symlink. So... now we support torrent?

C de-Avillez (hggdh2) wrote :

Adding upstream: Is this a new pre-req?

Neil Soman (neilsoman) wrote :

If users would like S3 bittorent API support, bittorent needs to be
installed. This has been the case since 1.6. bttrack is provided by
bittorent. We should probably do something to report this more, err,
nicely.

Neil Soman (neilsoman) wrote :

Revno 1219 makes this a bit clearer in the logs.

C de-Avillez (hggdh2) wrote :

Thanks, Neil.

So we need to add a depends bittorrent|bittornado for the Walrus package.

Changed in eucalyptus (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Dave Walker (davewalker) on 2010-08-24
Changed in eucalyptus (Ubuntu):
assignee: nobody → Dave Walker (davewalker)
Changed in eucalyptus:
status: New → Fix Released
assignee: nobody → Neil Soman (neilsoman)
Thierry Carrez (ttx) on 2010-08-25
Changed in eucalyptus (Ubuntu Maverick):
milestone: none → ubuntu-10.10-beta
Dave Walker (davewalker) on 2010-08-27
Changed in eucalyptus (Ubuntu Maverick):
status: Triaged → Fix Committed
Thierry Carrez (ttx) on 2010-09-02
Changed in eucalyptus (Ubuntu Maverick):
milestone: ubuntu-10.10-beta → ubuntu-10.10
Thierry Carrez (ttx) on 2010-09-07
tags: added: server-mrs
Thierry Carrez (ttx) wrote :

eucalyptus (2.0+bzr1239-0ubuntu1) maverick; urgency=low

  [Dave Walker (Daviey)]
  * New upstream stable release, -r1239 Fixes:
    - euca_conf --register-cluster is not idempotent. (LP: #628328)
    - unexpected errors after a sequence of tests (LP: #622818)
  * debian/control:
    - Recommend bittorrent|bittornado for -walrus package, enabling S3
      bittorent API support. (LP: #613535)
    - Raise the minimum version of libvirt-bin needed to eucalyptus-nc.
  * debian/eucalyptus-nc.postinst: Add eucalyptus user to the kvm group to
    enable user to utilise console logs. (LP: #619843)
  * debian/patches/18-priv_security.patch: Added vgscan to util/wrappers.conf,
    as it requires escalated privileges. (LP: #628291)
  * debian/patches/06-UEC-webinterface.patch (and 3 images): Updated and
    refreshed to better reflect Ubuntu branding. (LP: #631451)
  * debian/patches/25-uec-logo-png.patch: Due to a bug in dpkg, we need to use
    a different filename for the logo.png.
  * debian/eucalyptus-{java-,}common.{preinst,postinst}: Update the internal
    database and keys on upgrade from 10.04.

  [Scott Moser]
  * fix determination of 'is_multiboot'.
 -- Dave Walker (Daviey) <email address hidden> Fri, 10 Sep 2010 12:18:02 +0100

Changed in eucalyptus (Ubuntu Maverick):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers